# Uses of Interface
ch.qos.logback.core.rolling.TimeBasedFileNamingAndTriggeringPolicy

Packages that use TimeBasedFileNamingAndTriggeringPolicy
Package
Description
ch.qos.logback.core.rolling
Implements various file rolling policies.

## Uses of TimeBasedFileNamingAndTriggeringPolicy in ch.qos.logback.core.rolling

Classes in ch.qos.logback.core.rolling that implement TimeBasedFileNamingAndTriggeringPolicy
Modifier and Type
Class
Description
`class`
`DefaultTimeBasedFileNamingAndTriggeringPolicy<E>`
`class`
`SizeAndTimeBasedFNATP<E>`
`class`
`TimeBasedFileNamingAndTriggeringPolicyBase<E>`
Methods in ch.qos.logback.core.rolling that return TimeBasedFileNamingAndTriggeringPolicy
Modifier and Type
Method
Description
`TimeBasedFileNamingAndTriggeringPolicy<E>`
TimeBasedRollingPolicy.`getTimeBasedFileNamingAndTriggeringPolicy()`
Methods in ch.qos.logback.core.rolling with parameters of type TimeBasedFileNamingAndTriggeringPolicy
Modifier and Type
Method
Description
`void`
TimeBasedRollingPolicy.`setTimeBasedFileNamingAndTriggeringPolicy(TimeBasedFileNamingAndTriggeringPolicy<E> timeBasedTriggering)`